%define mod_name mod_anyterm
%define mod_so %{mod_name}.so
%define mod_conf 94_%{mod_name}.conf

Summary:	Anyterm is a web-based terminal emulator
Name:		apache-%{mod_name}
Version:	1.1.15
Release:	%mkrel 6
License:	GPL
Group:		System/Servers
URL:		http://anyterm.org
Source0:	http://anyterm.org/download/anyterm-%{version}.tbz2
Source11:	rssh
Source20:	%{mod_conf}
Source30:	%{mod_name}.vhosts.conf
Patch0:		anyterm.html.patched.patch
Patch1:		anyterm.htaccess.patch
Requires:	apache-mpm-prefork >= 2.2.3
Requires:	apache-mod_ssl >= 2.2.3
Requires:	openssl
BuildRequires:	apache-devel >= 2.2.3
BuildRequires:	librote-devel
BuildRequires:	libboost-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
This is the Anyterm web-based terminal emulator.

%prep

%setup -q -n anyterm-%{version}
%patch0 -p0
%patch1 -p0

cp %{SOURCE11} rssh
cp %{SOURCE20} %{mod_conf}
cp %{SOURCE30} anyterm_vhosts.conf

%build

pushd apachemod
%make APR_CONFIG=apr-1-config \
    APXS2="%{_sbindir}/apxs" \
    ROTE_PRIVATE_DIR="%{rotedir}"
popd

pushd anygetty
%make CFLAGS="%{optflags}"
popd

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/modules.d
install -d %{buildroot}%{_sysconfdir}/httpd/conf/vhosts.d
install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_bindir}
install -d %{buildroot}/var/www/anyterm

install -m0644 anyterm_vhosts.conf %{buildroot}%{_sysconfdir}/httpd/conf/vhosts.d/anyterm_vhosts.conf
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}
install -m0700 rssh %{buildroot}%{_bindir}/rssh
install -m0755 anygetty/anygetty %{buildroot}%{_bindir}/anygetty

pushd apachemod
%makeinstall \
    APXS2="%{_sbindir}/apxs -S LIBEXECDIR=%{buildroot}%{_libdir}/apache-extramodules"
    mv %{buildroot}%{_libdir}/apache-extramodules/anyterm.so %{buildroot}%{_libdir}/apache-extramodules/%{mod_so}
popd

pushd browser
    find . ! -name "*~" -print | cpio --quiet -pmd %{buildroot}/var/www/anyterm
popd

%post
if [ ! -f %{_sysconfdir}/pki/tls/certs/anyterm.crt ]; then 
    openssl genrsa 1024 > %{_sysconfdir}/pki/tls/certs/anyterm.key
    openssl req -new -key %{_sysconfdir}/pki/tls/certs/anyterm.key -out %{_sysconfdir}/pki/tls/certs/anyterm.csr -batch
    openssl req -x509 -days 10000 -key %{_sysconfdir}/pki/tls/certs/anyterm.key -in \
    %{_sysconfdir}/pki/tls/certs/anyterm.csr -out %{_sysconfdir}/pki/tls/certs/anyterm.crt
fi
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/vhosts.d/anyterm_vhosts.conf
%attr(0755,root,root) %{_bindir}/rssh
%attr(0755,root,root) %{_bindir}/anygetty
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
/var/www/anyterm


%changelog
* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.15-6mdv2007.1
+ Revision: 140604
- rebuild

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.15-5mdv2007.0
+ Revision: 79837
- fix deps and config
- Import apache-mod_anyterm



* Sun Jun 18 2006 Pascal Terjan <pterjan@mandriva.org> 1.1.15-4mdv2007.0
- 1.1.15
- fix buildrequires for x86_64
- fix build (use apr-1-config instead of apr-config)
- mkrel

* Thu Sep 29 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.1.5-3mdk
- increase anyterm to 37x140

* Thu Sep 29 2005 Antoine Ginis <aginies@n1.mandriva.com> 1.1.5-2mdk
- fix missing ssl key

* Thu Sep 29 2005 Antoine Ginis <aginies@n1.mandriva.com> 1.1.5-1mdk
- first release for mandriva

* Sun Jun 12 2005 Carl D. Roth <roth@ursus.net> - 
- Initial build.
